Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 77
Number of dependencies (NOD): 405
Number of unique artifacts (NOA): 422
Number of version-conflicting artifacts (NOC): 3
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 95 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in modules

io.reactivex.rxjava2:rxjava

[Error]
2.1.12
  1. org.apache.plc4x.examples:plc4j-hello-connectivity-mqtt:jar:0.6.0-SNAPSHOT
    \- io.reactivex.rxjava2:rxjava:jar:2.1.12:compile

2.2.5
  1. org.apache.plc4x.examples:plc4j-hello-connectivity-mqtt:jar:0.6.0-SNAPSHOT
    \- com.hivemq:hivemq-mqtt-client:jar:1.0.0:compile
       \- (io.reactivex.rxjava2:rxjava:jar:2.2.5:compile - omitted for conflict with 2.1.12)

org.apiguardian:apiguardian-api

[Error]
1.0.0
  1. org.apache.plc4x.examples:plc4j-hello-webapp-client:swf:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.junit.platform:junit-platform-commons:jar:1.3.2:test (version managed from 1.5.0)
    |     \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)

  2. org.apache.plc4x.examples:plc4j-hello-webapp-service:jar:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.junit.platform:junit-platform-commons:jar:1.3.2:test (version managed from 1.5.0)
    |     \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)

  3. org.apache.plc4x.examples:plc4j-hello-webapp-webapp:war:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.junit.platform:junit-platform-commons:jar:1.3.2:test (version managed from 1.5.0)
    |     \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)

  4. org.apache.plc4x.examples:plc4j-hello-webapp:pom:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.junit.platform:junit-platform-commons:jar:1.3.2:test (version managed from 1.5.0)
    |     \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.apiguardian:apiguardian-api:jar:1.0.0:test - omitted for conflict with 1.1.0)

1.1.0
  1. org.apache.plc4x.examples:plc4j-hello-webapp-client:swf:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.apiguardian:apiguardian-api:jar:1.1.0:test
    +- org.junit.jupiter:junit-jupiter-params:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.vintage:junit-vintage-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    \- org.codehaus.groovy:groovy-test-junit5:jar:2.5.3:test
       \- org.junit.platform:junit-platform-launcher:jar:1.5.0:test (version managed from 1.3.1)
          \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)

  2. org.apache.plc4x.examples:plc4j-hello-webapp-service:jar:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.apiguardian:apiguardian-api:jar:1.1.0:test
    +- org.junit.jupiter:junit-jupiter-params:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.vintage:junit-vintage-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    \- org.codehaus.groovy:groovy-test-junit5:jar:2.5.3:test
       \- org.junit.platform:junit-platform-launcher:jar:1.5.0:test (version managed from 1.3.1)
          \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)

  3. org.apache.plc4x.examples:plc4j-hello-webapp-webapp:war:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.apiguardian:apiguardian-api:jar:1.1.0:test
    +- org.junit.jupiter:junit-jupiter-params:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.vintage:junit-vintage-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    \- org.codehaus.groovy:groovy-test-junit5:jar:2.5.3:test
       \- org.junit.platform:junit-platform-launcher:jar:1.5.0:test (version managed from 1.3.1)
          \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)

  4. org.apache.plc4x.examples:plc4j-hello-webapp:pom:0.6.0-SNAPSHOT
    +- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
    |  \- org.apiguardian:apiguardian-api:jar:1.1.0:test
    +- org.junit.jupiter:junit-jupiter-params:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.vintage:junit-vintage-engine:jar:5.5.0:test
    |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    \- org.codehaus.groovy:groovy-test-junit5:jar:2.5.3:test
       \- org.junit.platform:junit-platform-launcher:jar:1.5.0:test (version managed from 1.3.1)
          \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)

org.opentest4j:opentest4j

[Error]
1.1.1
  1. org.apache.plc4x.examples:plc4j-hello-webapp-client:swf:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.opentest4j:opentest4j:jar:1.1.1:test - omitted for conflict with 1.2.0)

  2. org.apache.plc4x.examples:plc4j-hello-webapp-service:jar:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.opentest4j:opentest4j:jar:1.1.1:test - omitted for conflict with 1.2.0)

  3. org.apache.plc4x.examples:plc4j-hello-webapp-webapp:war:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.opentest4j:opentest4j:jar:1.1.1:test - omitted for conflict with 1.2.0)

  4. org.apache.plc4x.examples:plc4j-hello-webapp:pom:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-engine:jar:5.5.0:test
       \- org.junit.platform:junit-platform-engine:jar:1.3.2:test (version managed from 1.5.0)
          \- (org.opentest4j:opentest4j:jar:1.1.1:test - omitted for conflict with 1.2.0)

1.2.0
  1. org.apache.plc4x.examples:plc4j-hello-webapp-client:swf:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
       \- org.opentest4j:opentest4j:jar:1.2.0:test

  2. org.apache.plc4x.examples:plc4j-hello-webapp-service:jar:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
       \- org.opentest4j:opentest4j:jar:1.2.0:test

  3. org.apache.plc4x.examples:plc4j-hello-webapp-webapp:war:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
       \- org.opentest4j:opentest4j:jar:1.2.0:test

  4. org.apache.plc4x.examples:plc4j-hello-webapp:pom:0.6.0-SNAPSHOT
    \- org.junit.jupiter:junit-jupiter-api:jar:5.5.0:test
       \- org.opentest4j:opentest4j:jar:1.2.0:test

Back to top

Reflow Maven skin by devacfr.